%define anolis_release 13

Name: intltool
Summary: Utility for internationalizing various kinds of data files
Version: 0.51.0
Release: %{anolis_release}%{?dist}
License: GPLv2 with exceptions
Group: Development/Tools
#VCS: bzr:https://code.edge.launchpad.net/~intltool/intltool/trunk
Source: http://edge.launchpad.net/intltool/trunk/%{version}/+download/intltool-%{version}.tar.gz
URL: https://launchpad.net/intltool
BuildArch: noarch
Requires: patch
# for /usr/share/aclocal
Requires: automake
Requires: gettext-devel
Requires: perl(Getopt::Long)
Requires: perl(XML::Parser)
BuildRequires: perl-generators
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(XML::Parser)
BuildRequires: gettext
# http://bugzilla.gnome.org/show_bug.cgi?id=568845
# Dropping this patch per the last comment on that thread:
# Martin Pitt: As the reporter of the bug I close this, as the new API du jour is gsettings,
# which has a sensible gettext integration.
#Patch0: schemas-merge.patch
# Fix intltool-update to work with perl 5.26. Patch taken from
# Debian's intltool_0.51.0-4.debian.tar.xz
Patch1: intltool-perl5.26-regex-fixes.patch
# https://bugs.launchpad.net/intltool/+bug/1505260
Patch2: intltool-merge-Create-cache-file-atomically.patch
Patch3: intltool_distcheck-fix.patch

%description
This tool automatically extracts translatable strings from oaf, glade,
bonobo ui, nautilus theme, .desktop, and other data files and puts
them in the po files.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%{_bindir}/intltool*
%{_datadir}/intltool
%{_datadir}/aclocal/intltool.m4
%{_mandir}/man8/intltool*.8*

%files doc
%doc AUTHORS README

%changelog
* Thu Mar 30 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.51.0-13
- Del Specific Fields

* Sat Dec 10 2022 Funda Wang <fundawang@yeah.net> - 0.51.0-12
- Import 0.51.0
